Множественные уязвимости в Pligg

Дата публикации:
02.12.2009
Всего просмотров:
1465
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:5/Temporal:3.7
(AV:N/AC:L/Au:S/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4/Temporal:3
CVE ID:
CVE-2009-4786
CVE-2009-4787
CVE-2009-4788
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Pligg CMS 1.x
Уязвимые версии: Pligg 1.0.2, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в HTTP заголовке "Referer" в различных сценариях (admin/admin_config.php, admin/admin_modules.php, delete.php, editlink.php, submit.php, submit_groups.php, user_add_remove_links.php и user_settings.php). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов при выполнении некоторых действий. Удаленный пользователь может произвести CSRF нападение и создать учетную запись администратора приложения.

Также сообщается об отсутствии проверки подлинности запроса при перенаправлении пользователя на внешний источник в сценариях pligg/login.php и user_settings.php. Злоумышленник может произвести фишинг атаку и заманить пользователя на специально сформированный сайт.

URL производителя: www.pligg.com

Решение: Установите последнюю версию 1.0.3 с сайта производителя.

Ссылки: http://holisticinfosec.org/content/view/130/45/
http://www.pligg.com/blog/775/pligg-cms-1-0-3-release/

или введите имя

CAPTCHA